org.eclipse.rdf4j.sparqlbuilder.rdf

## Interface RdfSubject

- All Superinterfaces:
    QueryElement
  All Known Subinterfaces:
    Iri, RdfBlankNode, RdfResource
  All Known Implementing Classes:
    RdfBlankNode.AnonymousBlankNode, RdfBlankNode.LabeledBlankNode, RdfBlankNode.PropertiesBlankNode, Variable

      public interface RdfSubject
      extends QueryElement

  Denotes an element that can represent a subject in a `TriplePattern`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default TriplePattern` | `has(IRI predicate, RdfObject... objects)` Create a triple pattern from this subject and the given predicate and object
    `default TriplePattern` | `has(IRI predicate, Value... values)` Create a triple pattern from this subject and the given predicate and object
    `default TriplePattern` | `has(RdfPredicate predicate, Boolean... objects)` Wrapper for `has(RdfPredicate, RdfObject...)` that converts Boolean objects into RdfLiteral instances
    `default TriplePattern` | `has(RdfPredicate predicate, Number... objects)` Wrapper for `has(RdfPredicate, RdfObject...)` that converts Number objects into RdfLiteral instances
    `default TriplePattern` | `has(RdfPredicateObjectList... lists)` Create a triple pattern from this subject and the given predicate-object list(s)
    `default TriplePattern` | `has(RdfPredicate predicate, RdfObject... objects)` Create a triple pattern from this subject and the given predicate and object
    `default TriplePattern` | `has(RdfPredicate predicate, String... objects)` Wrapper for `has(RdfPredicate, RdfObject...)` that converts String objects into RdfLiteral instances
    `default TriplePattern` | `has(RdfPredicate predicate, Value... values)` Create a triple pattern from this subject and the given predicate and object
    `default TriplePattern` | `isA(RdfObject... objects)` Use the built-in shortcut "a" for `rdf:type` to build a triple with this subject and the given objects

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.QueryElement

      `getQueryString`

- - ### Method Detail

    - #### has

          default TriplePattern has(RdfPredicate predicate,
                                    RdfObject... objects)

      Create a triple pattern from this subject and the given predicate and object
      Parameters:
        `predicate` - the predicate of the triple pattern
        `objects` - the object(s) of the triple pattern
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)
      See Also:
        Triple pattern syntax

    - #### has

          default TriplePattern has(RdfPredicate predicate,
                                    Value... values)

      Create a triple pattern from this subject and the given predicate and object
      Parameters:
        `predicate` - the predicate of the triple pattern
        `values` - the object value(s) of the triple pattern.
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)
      See Also:
        Triple pattern syntax

    - #### has

          default TriplePattern has(IRI predicate,
                                    RdfObject... objects)

      Create a triple pattern from this subject and the given predicate and object
      Parameters:
        `predicate` - the predicate `IRI` of the triple pattern
        `objects` - the object(s) of the triple pattern
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)
      See Also:
        Triple pattern syntax

    - #### has

          default TriplePattern has(IRI predicate,
                                    Value... values)

      Create a triple pattern from this subject and the given predicate and object
      Parameters:
        `predicate` - the predicate `IRI` of the triple pattern
        `values` - the object value(s) of the triple pattern.
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)
      See Also:
        Triple pattern syntax

    - #### has

          default TriplePattern has(RdfPredicateObjectList... lists)

      Create a triple pattern from this subject and the given predicate-object list(s)
      Parameters:
        `lists` - the `RdfPredicateObjectList`(s) to describing this subject
      Returns:
        a new `TriplePattern` with this subject, and the given predicate-object list(s)

    - #### has

          default TriplePattern has(RdfPredicate predicate,
                                    String... objects)

      Wrapper for `has(RdfPredicate, RdfObject...)` that converts String objects into RdfLiteral instances
      Parameters:
        `predicate` - the predicate of the triple pattern
        `objects` - the String object(s) of the triple pattern
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)

    - #### has

          default TriplePattern has(RdfPredicate predicate,
                                    Number... objects)

      Wrapper for `has(RdfPredicate, RdfObject...)` that converts Number objects into RdfLiteral instances
      Parameters:
        `predicate` - the predicate of the triple pattern
        `objects` - the Number object(s) of the triple pattern
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)

    - #### has

          default TriplePattern has(RdfPredicate predicate,
                                    Boolean... objects)

      Wrapper for `has(RdfPredicate, RdfObject...)` that converts Boolean objects into RdfLiteral instances
      Parameters:
        `predicate` - the predicate of the triple pattern
        `objects` - the Boolean object(s) of the triple pattern
      Returns:
        a new `TriplePattern` with this subject, and the given predicate and object(s)

    - #### isA

          default TriplePattern isA(RdfObject... objects)

      Use the built-in shortcut "a" for `rdf:type` to build a triple with this subject and the given objects
      Parameters:
        `objects` - the objects to use to describe the `rdf:type` of this subject
      Returns:
        a `TriplePattern` object with this subject, the "a" shortcut predicate, and the given objects
      See Also:
        RDF Type abbreviation

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.